Submit an MFA response for an account
curl --request PUT \
--url https://api.sandbox.goteal.co/accounts/{account_id}/mfa \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"mfa": "123456"
}
'import requests
url = "https://api.sandbox.goteal.co/accounts/{account_id}/mfa"
payload = { "mfa": "123456" }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({mfa: '123456'})
};
fetch('https://api.sandbox.goteal.co/accounts/{account_id}/mfa', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_id": "95a0e70b-fe02-4f47-aef9-2efff279df71",
"payroll_provider": "quickbooks",
"user_name": "john.smith@company.com",
"created_at": "2019-05-17T00:00:00.000Z",
"status": "PENDING",
"mfa_enabled": true,
"latest_pay_date": "2019-05-17T00:00:00.000Z"
}{
"errors": [
"The request is missing the required field `name`"
]
}{
"errors": [
"Not Authorization: Bearer <token> provided or wrong value"
]
}{
"errors": [
"The resource with id [8be3bb60-5ab4-4bd2-90e6-3b015691a827] does not exist"
]
}Accounts
Submit MFA response
PUT
/
accounts
/
{account_id}
/
mfa
Submit an MFA response for an account
This endpoint requires a valid authorisation for the user. If no active authorisation exists, the request will be rejected.
You can optionally pass the
x-teal-authorisation-id header to specify which authorisation to use; otherwise the system will resolve a valid authorisation automatically.
See Authorisations for more details.Authorizations
ApiKeyAuthMemberBearerAuth
Headers
Optional authorisation ID to associate with this request. If not provided, the system will attempt to resolve a valid authorisation for the user automatically.
Example:
"7f3b8c2a-1d4e-4f6a-8b8c-9a0b1c2d3e4f"
Path Parameters
ID of the account requiring MFA
Body
application/json
The MFA response value (code, date, or password characters depending on the MFA method)
Example:
"123456"
Response
MFA response accepted
The id of the account
Example:
"95a0e70b-fe02-4f47-aef9-2efff279df71"
The payroll provider to use
Example:
"quickbooks"
The login of the user
Example:
"john.smith@company.com"
Example:
"2019-05-17T00:00:00.000Z"
Status of account
Example:
"PENDING"
Is mfa enabled for this account
The latest pay date of the payroll under this account
Example:
"2019-05-17T00:00:00.000Z"